availability
Get availability 1
GET
/
availability
/
{id}
cURL
curl --request GET \
--url https://api.example.com/availability/{id} \
--header 'x-meetergo-api-user-id: <api-key>'import requests
url = "https://api.example.com/availability/{id}"
headers = {"x-meetergo-api-user-id": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-meetergo-api-user-id': '<api-key>'}};
fetch('https://api.example.com/availability/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"schedule": {
"monday": {
"enabled": true,
"hours": [
{
"start": "<string>",
"end": "<string>"
}
]
},
"tuesday": {
"enabled": true,
"hours": [
{
"start": "<string>",
"end": "<string>"
}
]
},
"wednesday": {
"enabled": true,
"hours": [
{
"start": "<string>",
"end": "<string>"
}
]
},
"thursday": {
"enabled": true,
"hours": [
{
"start": "<string>",
"end": "<string>"
}
]
},
"friday": {
"enabled": true,
"hours": [
{
"start": "<string>",
"end": "<string>"
}
]
},
"saturday": {
"enabled": true,
"hours": [
{
"start": "<string>",
"end": "<string>"
}
]
},
"sunday": {
"enabled": true,
"hours": [
{
"start": "<string>",
"end": "<string>"
}
]
}
},
"timezone": "<string>",
"availabilityExceptions": [
{
"ownerId": "<string>",
"ownerType": "company",
"available": true,
"start": "<string>",
"end": "<string>",
"createdAt": "<string>",
"id": 123,
"title": "<string>",
"note": "<string>",
"deletedAt": "<string>"
}
],
"isDefault": true,
"createdAt": "<string>",
"deletedAt": "<string>",
"useExplicitAvailability": true,
"explicitAvailabilityEventTitle": "<string>",
"ownerName": "<string>"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}{
"statusCode": 400,
"message": [
"limit must not be greater than 100"
],
"error": "BadRequestException"
}Authorizations
ApiUserHeaderJWTApiKey
User ID to act on behalf of. Platform API Keys only (required with an API Key unless the endpoint states otherwise). Requests authenticated with a Personal Access Token are rejected if this header names another user.
Path Parameters
Query Parameters
Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
When enabled, only calendar events with the specified title will be used as available slots.
The calendar event title to look for when useExplicitAvailability is enabled.
Owner of the schedule
⌘I
cURL
